*{
    box-sizing: border-box;
}
  body {
            margin: 0;
            
        }
       

   header {
            color: #000;
            padding: 15px 20px;
        }
        
section{
    margin-bottom:40px !important;
}
/* Base styles for the header */
        /* General Header Styles */
        .header-container {
            width: 90%;
            margin: auto;
            display: flex;
            justify-content: space-between;
            align-items: center;
            

        }

        .hamburger,
        .closem {
            display: none;
        }

        .logo img {
            max-width: 150px;
            height: auto;
        }

        nav#nav-menu ul {
            display: flex;
            list-style: none;
            gap: 2rem;
        }

        nav#nav-menu ul li {
            padding: 2px;
            border-radius: 5px;
        }
                nav#nav-menu ul li a {
            text-decoration: none;
            color: #333;
            font-weight: bold;
            
        }
        
        
/*contact*/

        .contact {
            display: flex;
            align-items: center;
        }

        .contact-number a {
            text-decoration: none;
            color: #333;
        }
        

        /* Mobile Styles */
        @media screen and (max-width: 768px) {
            .hamburger {
                display: block;
                font-size: 1.5rem;
                cursor: pointer;
            }




            nav#nav-menu {
                position: fixed;
                top: 0;
                left: -100%;
                width: 250px;
                height: 100%;
                background-color: #a59999;
                color: #333;
                transition: 0.3s ease-in-out;
                display: flex;
                flex-direction: column;
                padding: 1rem;
                z-index: 999;
            }

            nav#nav-menu ul {
                flex-direction: column;
                gap: 1rem;
            }
               nav#nav-menu ul li {
                   width:100%;
                   border-radius:0;
           border-bottom:1px solid #333;
           text-align:left;
        }


            nav#nav-menu ul li a {
                color: #333;
            }

            nav#nav-menu.show {
                left: 0;
            }

            /* Close Button */
            .closem {
                display: block;
                margin-bottom: 1rem;
                text-align: right;
                font-size: 1.5rem;
                color: #333;
                cursor: pointer;
            }
        }

   
        .footer-navigation {
            display: flex;
            justify-content: center;
        }

        .footer-navigation ul {
            width: 100%;
            display: flex;
        }

        .footer-navigation ul li {
            list-style-type: none;
            margin: 20px;
            color: #ddd;
        }

        .footer-navigation ul li a {
            color: #ddd;
            text-decoration: none;
        }
        
        
        .hero {
            margin-top: 0;
            margin-bottom: 0 !important;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            background-size: cover;
            background-position: center;
            
        }
        
         .hero-content-section {
            width: 100%;
            margin: 0;
            padding: 20px;
            padding: 20px;
        }
        
         .hero a {
            text-decoration: none;
            width: 200px;
            margin: auto;
            
            padding: 18px 24px;
            display: block;
            
            text-align: center;
            font-size: 20px;
            font-weight: 700;
        }

        .hero h1 {
            margin-bottom: 5px;
        }

        .hero h2 {
            margin-bottom: 5px;

        }
        
         /* Services Section */

        .services {
            padding: 50px 20px;
            text-align: center;
            margin-bottom: 60px;
           
        }

        #services h2 {
            font-size: 2.5rem;
            margin-bottom: 40px;
           
        }

        .carousel-container {
            position: relative;
            max-width: 100%;
            overflow: hidden;
        }

        .carousel-wrapper {
            overflow: hidden;
        }

        .services-carousel {
            display: flex;
            transition: transform 0.5s ease-in-out;
        }


        .service-item {
            /*border: 1px solid #ddd;*/
            border-radius: 8px;
            /*padding: 20px;*/
          
            margin: 10px;
            text-align: left;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            min-width: 300px;
        }
        
            .service-item:hover {
            transform: translateY(-10px);
            box-shadow: 0 8px 12px rgba(0, 0, 0, 0.2);
        }
                .service-item h3 {
            text-align: center;
            color: #333;
            margin-bottom: 15px;
        }

        .service-item p {
            color: #666;
            line-height: 1.6;
            font-weight:700;
        }
        
                /* Carousel Controls */
        .prev-btn,
        .next-btn {
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            background-color: rgba(0, 0, 0, 0.1);
            border: none;
            color: #333;
            font-size: 2rem;
            padding: 10px;
            cursor: pointer;
            z-index: 2;
        }

        .prev-btn:hover {
            background-color: rgba(0, 0, 0, 0.5);
            color: #fff;
        }

        .next-btn:hover {
            background-color: rgba(0, 0, 0, 0.5);
            color: #fff;
        }

        .prev-btn {
            left: 0;
        }

        .next-btn {
            right: 0;
        }
        
    /*content*/
    
    
        .content {
            width: 100%;
            margin: 0;
            background: rgba(0, 0, 0, 0.5);
            padding: 20px;
            border-radius: 0px;
        }
        
         .social-links {
            display: flex;
            justify-content: center;
        }

        .social-links a {
            text-decoration: none;
            color: #ddd;
        }

        

        .about-us {
            max-width: 80%;
            margin: 60px auto;
        }
        
      

        /* Media Queries for Responsiveness */

        @media (max-width: 1080px) {
            .contact {
                display: none;
            }
             .about-us {
            max-width: 96%;
            margin: 60px auto;
        }

        }


        @media (max-width: 768px) {



            .content {
                max-width: 100%;
                background: rgba(0, 0, 0, 0.5);
                padding: 0;
                border-radius: 0;
            }

          

            .abt-us-2-col {
                max-width: 96%;
                margin: auto;
                display: flex;
                flex-direction: column;


            }

            .content h2 {
                font-size: 30px;
            }

            .hero {
                height: 300px;
            }

            .hero h1 {
                font-size: 2rem;
            }

            .hero h2 {
                font-size: 1.5rem;
            }

            .service-item {
                width: 90%;
            }
        }

        @media (max-width: 576px) {
            .hero h1 {
                font-size: 1.8rem;
            }

            .hero h2 {
                font-size: 1.2rem;
            }


        }

        .quote-submit {
            padding: 15px;
            font-size: 18px;
            color: #333;
            background-color: #ffffff;
            border: 1px solid #333;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        .quote-submit:hover {
            background-color: #000;
            color: #fff;
        }

        /* Gallery Row */

        .gallery-section {
            max-width: 80%;
            margin: auto;
        }

        /* Row */
        .row {
            display: flex;
            flex-wrap: wrap;
            padding: 0 4px;
        }

        .column {
            flex: 25%;
            max-width: 25%;
            padding: 0 4px;
        }

        .column img {
            margin-top: 8px;
            vertical-align: middle;
            width: 100%;
            cursor: pointer;
        }

        /* Responsive Columns */
        @media screen and (max-width: 800px) {
            .column {
                flex: 50%;
                max-width: 50%;
            }

            .gallery-section {
                max-width: 100%;
                margin: 0;
                padding: 5px;
            }
        }

        @media screen and (max-width: 600px) {
            .column {
                flex: 100%;
                max-width: 100%;
            }
        }

        /* Lightbox Styling */
        .lightbox {
            display: none;
            position: fixed;
            z-index: 1000;
            padding: 20px;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgba(0, 0, 0, 0.9);
        }

        .lightbox-content {
            display: block;
            margin: auto;
            max-width: 80%;
            max-height: 80%;
        }

        .close {
            position: absolute;
            top: 20px;
            right: 35px;
            color: white;
            font-size: 40px;
            font-weight: bold;
            cursor: pointer;
        }

        .close:hover,
        .close:focus {
            color: red;
            text-decoration: none;
            cursor: pointer;
        }

        /* Caption */
        #caption {
            text-align: center;
            color: white;
            padding: 10px 0;
            font-size: 20px;
        }

        /* Next and Prev Buttons */
        .prev,
        .next {
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            color: white;
            font-size: 24px;
            font-weight: bold;
            padding: 10px;
            cursor: pointer;
            user-select: none;
            z-index: 1001;
        }

        .prev {
            left: 10px;
        }

        .next {
            right: 10px;
        }

        .prev:hover,
        .next:hover {
            color: red;
        }
        #more-projects-lnk{
            display:block;
            max-width:200px;
            margin:auto;
            margin-top:60px;
            padding:15px 20px;
            background-color: #000;
            color: #fff;  
            cursor: pointer;
            text-decoration: none;  
            text-align: center;    

        }
    
        #more-projects-lnk:hover{
            background-color: #fff;
            color: #000;
            border:1px solid #333;
        }
  
        
        

        /* Responsive */
        @media (max-width: 1200px) {
            .services-carousel {
                flex-wrap: nowrap;
            }
        }

        @media (max-width: 992px) {
            .service-item {
                width: 25%;
            }
        }

        @media (max-width: 768px) {
            .service-item {
                width: 33.33%;
            }
        }

        @media (max-width: 576px) {
            .service-item {
                width: 100%;
            }
        }




        /* Responsive navigation for mobile screens */
        @media (max-width: 768px) {

            .header-container {
                display: flex;
                justify-content: space-between;
                align-items: center;
            }



        }
        
            @media (max-width: 400px) {

            nav {
                width: 100%;
                margin: 0;
            }

            nav ul {
                display: flex;
                flex-flow: wrap;
                
                width: 100%;
                padding: 2px;
            }

            nav ul li {
                width: 45%;
                text-align: center;
            }

        }